Bug 52653 - Installation of Redhat Linux 7.0 failed in middle of process with Exception Condition message, causing the system to crash and screen freeze up.
Installation of Redhat Linux 7.0 failed in middle of process with Exception ...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-27 14:10 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 11:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message from failed installation of Redhat Linux 7.0 (676 bytes, text/plain)
2001-08-27 14:19 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-08-27 14:10:27 EDT
Description of Problem:
Installation Target Device and procedure

- Pentium III 667 MHz with 256MB RAM

- Existing OS is Windows 98 on C drive with partition D (both using 
FAT32).  Partition D is solely for Linux and is more than 16 GB free.

- User wants to be able to boot to either Windows 98 or Linux after this 
installation.

- D was assigned the mount point of /.

- Installation started from CD using the graphical mode and the 
Workstation option was selected.

How Reproducible:

Steps to Reproduce:

1. Start Linux 7.0 installation using the CD that comes with Linux for 
Dummies by LeBlanc, etc, 3rd Edition.
2. Follow the instruction for installing as listed in Chapter 3 of the 
book.
3. Installation started creating and copying files to partition D for 
about 5 minutes and then halted with the Exception Condition message and 
suggested that it is likely a bug and should be reported to Red Hat 
Bugzilla. (For detail bug message please see attachment.)

Actual Results:
The screen freezes as a result of the failed installation.  The error 
message dialog box cannot be srolled up to view the complete text.  Also 
the message can't be copied to another device because of the crash.

Expected Results:
Installation to complete successfully

Additional Information:
Submitter's note:
I am trying to install Linux 7.0 to a partition of its own on a same drive 
which already has a running operating system - Windows 98 which is in a 
different partition.  In other words, Windows 98 is currently on drive C, 
and Linux 7.0 will be on drive D.  Both C and D are logical partitions 
FAT32)on the same hard drive.  I have only one hard drive on my computer.
Comment 1 Need Real Name 2001-08-27 14:19:43 EDT
Created attachment 29736 [details]
Error message from failed installation of Redhat Linux 7.0
Comment 2 Brent Fox 2001-08-29 16:16:48 EDT
How big did you set the swap file to be?  I think the installer defaults to 32MB
of RAM, but it would be better to increase it to something like 128MB of RAM. 
Does that help?
Comment 3 Need Real Name 2001-09-02 12:48:44 EDT
I used the default size of 32MB for the swap file when the problem described in 
this bug report occurred.  Now I set it to 128MB and the install went a little 
further.  I no longer get the error message but it didn't get anything 
installed. It seems to get stuck in the Format/Filesystem stage forever.  After 
more than three hours I gave up and reboot the system.  I started the install 
process again but using the Text mode this time, with the swap file set to 
128MB.  The install completed successfully.  May be a small swap file size was 
the problem causing this bug, but I wouldn't want to go back to the Graphical 
mode to try again.
Comment 4 Jeremy Katz 2001-09-05 22:33:21 EDT
Had you selected to check for bad blocks on any of your filesystems?
Comment 5 Brent Fox 2001-09-17 11:02:04 EDT
Any more info here?
Comment 6 Brent Fox 2001-09-27 14:52:11 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.